P = [-6, -6, -7, 0, 7, 6, 6, -3, -3, 0, 0, -6;
    -7, 2, 1, 8, 1, 2, -7, -7, -2, -2, -7, -7];

z = [1 pi/4 pi 3/4.*pi];

figure
subplot(2,2,1)
plot(P(1,:), P(2,:));
for i=2:4
    R = [cos(z(i)) -sin(z(i)); sin(z(i)) cos(z(i))];
    Q = R*P;
    subplot(2,2,i)
    plot(Q(1,:), Q(2,:));
end

A = [1, 1, 0.8, -0.8, -1, -1, 0, 1, nan, 0.5, 0.7, 0.5, 0.3, 0.5, nan, -0.5, -0.7, -0.5, -0.3, -0.5, nan, -0.5, 0.5, nan, 0, -0.1, 0.1, 0;
-0.5, 1, 0.8, 0.8, 1, -0.5, -0.9, -0.5, nan, 0.5, 0.4, 0.3, 0.4, 0.5, nan, 0.5, 0.4, 0.3, 0.4, 0.5, nan, -0.5, -0.5, nan, 0, -0.1, -0.1, 0];

figure
subplot(2,2,1)
plot(A(1,:), A(2,:));
for i=2:4
    R = [cos(z(i)) -sin(z(i)); sin(z(i)) cos(z(i))];
    Q = R*A;
    subplot(2,2,i)
    plot(Q(1,:), Q(2,:));
end